import { SimpleTestLauncherConfigBuilder } from './test-launcher-config-builder';
import { testLauncher } from "../test-launcher";
export declare namespace SimpleCoverageConfigBuilder {
    interface Properties {
        parent: SimpleTestLauncherConfigBuilder | undefined;
        configuration: Configuration;
    }
    interface Summary {
        enabled?: boolean | undefined;
        template?: string | undefined;
    }
    interface Configuration {
        enabled?: boolean;
        summary?: Summary;
    }
}
export declare class SimpleCoverageConfigBuilder {
    protected properties: SimpleCoverageConfigBuilder.Properties;
    constructor(parent?: SimpleTestLauncherConfigBuilder);
    /**
     * The configuration group name
     */
    readonly _subConfigurationGroupName: string;
    /**
     * Clear the configuration
     */
    clear(): SimpleCoverageConfigBuilder;
    /**
     * Enable the coverage
     */
    enable(): SimpleCoverageConfigBuilder;
    /**
     * Disable the coverage
     */
    disable(): SimpleCoverageConfigBuilder;
    /**
     * Set the enable value
     * @param [value] The new value. Set undefined to set put the default value
     */
    setEnabled(value?: boolean | null): SimpleCoverageConfigBuilder;
    /**
     * Set the summary template.
     *
     * The template is a lodash template.
     * @param [value] The new value. Set undefined to set put the default value
     */
    summaryTemplate(value?: string): SimpleCoverageConfigBuilder;
    /**
     * Enable or not the summary
     * @param [value] The new value. Set undefined to set put the default value
     */
    enableSummary(value?: boolean): SimpleCoverageConfigBuilder;
    /**
     * Returns the parent builder
     */
    parentBuilder(): SimpleTestLauncherConfigBuilder;
    /**
     * Generate the object configuration
     */
    build(): testLauncher.configuration.coverage.Configuration;
    /**
     * Returns the default configuration
     */
    protected _defaultConfiguration(): SimpleCoverageConfigBuilder.Configuration;
}
