import { SimpleTestLauncherConfigBuilder } from './test-launcher-config-builder';
import { testLauncher } from "../test-launcher";
export declare namespace simpleProjectConfigBuilder {
    interface Properties {
        parent: SimpleTestLauncherConfigBuilder | undefined;
        configuration: Configuration;
    }
    interface Configuration {
        rootDirectoryPath: string | undefined;
    }
}
export declare class SimpleProjectConfigBuilder {
    protected properties: simpleProjectConfigBuilder.Properties;
    constructor(parent?: SimpleTestLauncherConfigBuilder);
    /**
     * The configuration group name
     */
    readonly _subConfigurationGroupName: string;
    /**
     * Clear the configuration
     */
    clear(): SimpleProjectConfigBuilder;
    /**
     * Set the root directory
     * @param [value] The new value. Set undefined to set put the default value
     */
    rootDirectoryPath(value?: string): SimpleProjectConfigBuilder;
    /**
     * Returns the parent builder
     */
    parentBuilder(): SimpleTestLauncherConfigBuilder;
    /**
     * Generate the object configuration
     */
    build(): testLauncher.configuration.Project;
    /**
     * Returns the default configuration
     */
    protected _defaultConfiguration(): simpleProjectConfigBuilder.Configuration;
}
