import { SimpleTestLauncherConfigBuilder } from './test-launcher-config-builder';
import { testLauncher } from "../test-launcher";
export declare namespace simpleReportsConfigBuilder {
    interface Properties {
        parent: SimpleTestLauncherConfigBuilder | undefined;
        configuration: Configuration;
    }
    interface Configuration {
        rootDirectoryPath: string | undefined;
    }
}
export declare class SimpleReportsConfigBuilder {
    protected properties: simpleReportsConfigBuilder.Properties;
    constructor(parent?: SimpleTestLauncherConfigBuilder);
    /**
     * The configuration group name
     */
    readonly _subConfigurationGroupName: string;
    /**
     * Clear the configuration
     */
    clear(): SimpleReportsConfigBuilder;
    /**
     * Set the root directory
     * @param [value] The new value. Set undefined to set put the default value
     */
    rootDirectoryPath(value?: string): SimpleReportsConfigBuilder;
    /**
     * Returns the parent builder
     */
    parentBuilder(): SimpleTestLauncherConfigBuilder;
    /**
     * Generate the object configuration
     */
    build(): testLauncher.configuration.reports.Configuration;
    /**
     * Returns the default configuration
     */
    protected _defaultConfiguration(): simpleReportsConfigBuilder.Configuration;
}
