import Ajv = require("ajv");
import { testLauncher } from "../test-launcher";
declare namespace simpleTestLauncherConfigFromEnvUtils {
    interface Properties {
        ajv: Ajv.Ajv;
    }
}
export declare class SimpleTestLauncherConfigFromEnvUtils {
    protected properties: simpleTestLauncherConfigFromEnvUtils.Properties;
    constructor();
    /**
     * Generate the configuration from the environment variable
     */
    generateConfiguration(): testLauncher.configuration.Configuration;
    /**
     * Returns the configuration schema to validate the config
     */
    protected getConfigurationSchema(): object;
    /**
     * Validate And convert the raw input configuration
     * @param config The raw configuration
     */
    protected validateRawConfiguration(config: object): object;
    /**
     * Retrieve the raw configuration from the environment variables
     */
    protected retrieveConfigurationFromEnvironments(): object;
}
export {};
